import Config

config :slax, Slax.Repo,
  username: System.get_env("PGUSER", "postgres"),
  password: System.get_env("PGPASSWORD", "postgres"),
  hostname: System.get_env("PGHOST", "localhost"),
  # database: "#{System.get_env("PGDATABASE", "slax_test")}#{System.get_env("MIX_TEST_PARTITION")}",
  database: System.get_env("PGDATABASE", "slax_test"),
  pool: Ecto.Adapters.SQL.Sandbox,
  pool_size: System.schedulers_online() * 2

config :slax, SlaxWeb.Endpoint,
  http: [ip: {127, 0, 0, 1}, port: 4002],
  secret_key_base: "JqUjCORrhK47ZnO5iziflaHRCLscDeOWm28tC01c9vrPvcrzRO12ZOgbahtc4sgw",
  server: false

config :slax, Slax.Mailer, adapter: Swoosh.Adapters.Test

config :testcontainers,
  database_enabled: System.get_env("TESTCONTAINER_DATABASE_ENABLED") in ~w(true 1)

config :swoosh, :api_client, false

config :logger, level: :warning

config :phoenix, :plug_init_mode, :runtime

config :phoenix_live_view,
  enable_expensive_runtime_checks: true
